Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76727 - Incorrectly requires server= when using redirect=
Summary: Incorrectly requires server= when using redirect=
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 15:41 UTC by Mark Cooke
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version: xinetd-2.3.11-1.8.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-11 18:17:30 UTC


Attachments (Terms of Use)

Description Mark Cooke 2002-10-25 15:41:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Xinetd in RH8.0 incorrectly requires a server= line in the configuration file(s)
when using redirect=.

This is in contravention of the man xinetd.conf on redirect, and previous xinetd
in RH7.3

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Add the following to /etc/xinetd.d/proxy:

# default: on
# description: The forwarder for squid connections.
service squid
{
        disable                 = no
        socket_type             = stream
        wait                    = no
        user                    = nobody
        nice                    = 10
        redirect                = 10.11.12.13 3128
}

2.Restart xinetd
3.See the port 3128 isn't open for xinetd, and running /usr/sbin/xinetd -d does
not list the service proxy as active

Actual Results:  xinetd ignored the new service file

Expected Results:  xinetd should have forwarded local connections to port 3128
to 10.11.12.13 port 3128

Additional info:

A workaround is to add a dummy server line to the file.  Eg:

server = /sbin/nologin

Comment 1 Zenon Mousmoulas 2002-12-04 00:05:25 UTC
The redirect facility in xinetd is full of problems. The same symptoms you 
report in this bug have occurred with previous version(s) of xinetd, namely 
xinetd-2.3.4-1.4. Please see Bug #60049.

Comment 2 Jay Fenlason 2003-08-11 18:17:30 UTC
This was fixed in the xinetd-2.3.11-1.8.0 erratum 


Note You need to log in before you can comment on or make changes to this bug.